Why Can't I Find My USRP Model in LabVIEW Communications?

Updated Aug 24, 2018

Reported In

Hardware

  • USRP-2944

Software

  • LabVIEW Communications System Design Suite

Driver

  • NI-USRP

Issue Details

I am attempting to run some of the example projects in LabVIEW communications 2.0, but I cannot find my USRP model among the selectable ones. 

Solution

LabVIEW communications 2.0 includes NI-USRP 15.1 by default. However, NI-USRP 15.1 does not support all of the USRP devices. Therefore, you must install later a later version of NI-USRP that supports your specific model. 

Additional Information

NI-USRP is the hardware driver software for National Instruments Universal Software Radio Peripheral transceivers. The application development environments (ADEs) that support NI-USRP are LabVIEW and LabVIEW communications.

For more information regarding:

  • Which USRP devices that are supported by which NI-USRP driver versions.
  • ​Which NI-USRP versions that are compatible with which ADE versions.

Please refer to the readmes of the NI-USRP drivers

WAS THIS ARTICLE HELPFUL?

Not Helpful